summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author Heinz Wiesinger2012-12-17 00:18:04 +0100
committer dsomero2012-12-23 15:16:37 +0100
commit880dcf6e3d9c0b2d43f09b601ea41539846553e9 (patch)
treec478eedf3c6a44d11285bfd7e4e04ec812fc680e /perl
parent4f9cf9dba43c783a0a37a4a3d9c2f505a6adf590 (diff)
downloadslackbuilds-880dcf6e3d9c0b2d43f09b601ea41539846553e9.tar.gz
perl/perl-yaml: Updated Moved and renamed from development/yaml.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-yaml/README5
-rw-r--r--perl/perl-yaml/perl-yaml.SlackBuild71
-rw-r--r--perl/perl-yaml/perl-yaml.info10
-rw-r--r--perl/perl-yaml/slack-desc19
4 files changed, 105 insertions, 0 deletions
diff --git a/perl/perl-yaml/README b/perl/perl-yaml/README
new file mode 100644
index 0000000000..63cebbdd24
--- /dev/null
+++ b/perl/perl-yaml/README
@@ -0,0 +1,5 @@
+The YAML.pm module implements a YAML Loader and Dumper based on
+the YAML 1.0 specification. <http://www.yaml.org/spec/>
+YAML is a generic data serialization language that is optimized
+for human readability. It can be used to express the data
+structures of most modern programming languages.
diff --git a/perl/perl-yaml/perl-yaml.SlackBuild b/perl/perl-yaml/perl-yaml.SlackBuild
new file mode 100644
index 0000000000..12b8ba49b8
--- /dev/null
+++ b/perl/perl-yaml/perl-yaml.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for perl-yaml
+
+# Copyright 2008-2012 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-yaml
+SRCNAM=YAML
+VERSION=0.84
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+echo "y" | perl Makefile.PL INSTALLDIRS=vendor
+make
+make install DESTDIR=$PKG
+
+mv $PKG/usr/share/man $PKG/usr/
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+# Remove perlocal.pod and .packlist from $PKG
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+# Remove empty directories
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes MANIFEST README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-yaml/perl-yaml.info b/perl/perl-yaml/perl-yaml.info
new file mode 100644
index 0000000000..0378605622
--- /dev/null
+++ b/perl/perl-yaml/perl-yaml.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-yaml"
+VERSION="0.84"
+HOMEPAGE="http://search.cpan.org/dist/YAML/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/M/MS/MSTROUT/YAML-0.84.tar.gz"
+MD5SUM="3644f03e3da5d99158963c6613f5ff92"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Heinz Wiesinger"
+EMAIL="pprkut@liwjatan.at"
diff --git a/perl/perl-yaml/slack-desc b/perl/perl-yaml/slack-desc
new file mode 100644
index 0000000000..a6cf95bb70
--- /dev/null
+++ b/perl/perl-yaml/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-yaml: perl-yaml (YAML Ain't a Markup Language)
+perl-yaml:
+perl-yaml: The YAML.pm module implements a YAML Loader and Dumper based on
+perl-yaml: the YAML 1.0 specification. <http://www.yaml.org/spec/>
+perl-yaml: YAML is a generic data serialization language that is optimized
+perl-yaml: for human readability. It can be used to express the data
+perl-yaml: structures of most modern programming languages.
+perl-yaml:
+perl-yaml: Homepage: http://search.cpan.org/dist/YAML/
+perl-yaml:
+perl-yaml: